Name:           qt4urpm
Version:        1.0.1
Release:        %mkrel 6
Summary:        A Qt based frontend for the urpm* package management tools
License:        GPLv3
Group:          System/Packaging
URL:            http://www.sf.net/projects/qt4urpm
Source0:        %{name}-%{version}.tar.lzma

BuildRequires:  qt4-devel
Requires:       urpmi
Requires:       kdebase4-runtime 
Requires:       gurpmi 
Requires:       xterm 
Requires:       qt4-common

%description
qt4urpm is a Qt4 based frontend for the urpm* package management tools,
which provides an intuitive interface to manage orphaned packages and
search for packages that contain a specific file.

%prep
%setup -q

%build
make lrelease
qmake -spec %{_libdir}/qt4/mkspecs/linux-g++ -o Makefile qt4urpm.pro
make LOCALEPATH="%{_datadir}/%{name}/qm/"

%install
mkdir -p %{buildroot}%{_bindir}/
cp %{name} %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Qt4urpm
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=/usr/share/icons/oxygen/256x256/categories/preferences-system.png
Type=Application
Categories=System;Settings;PackageManager;
EOF

mkdir -p %{buildroot}%{_datadir}/%{name}/qm
cp *.qm %{buildroot}%{_datadir}/%{name}/qm/

%files
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/%{name}/qm/*.qm
%defattr(755,root,root,755)
%{_bindir}/%{name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-6.mga4
+ Revision: 521425
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 1.0.1-5.mga3
+ Revision: 390800
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 379962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 pterjan <pterjan> 1.0.1-3.mga3
+ Revision: 323194
- Fix desktop file
- Get it to build on x86_64
- Drop empty pre section

* Tue May 03 2011 obgr_seneca <obgr_seneca> 1.0.1-2.mga1
+ Revision: 94471
- corrected requires from libkdesu5 to kdebase4-runtime

* Wed Apr 27 2011 obgr_seneca <obgr_seneca> 1.0.1-1.mga1
+ Revision: 92020
- removed dot from summary
- imported package qt4urpm


* Wed Apr 27 2011 Oliver Burger <oliver.bgr@googlemail.com> 1.0.1-1.mga1
- imported into Mga
- cleaned up spec file

* Sun Apr 22 2011 Nasenbaer <nasenbaer_peter@users.sf.net> 1.0.1
- Bugfixes and small improvements - from now on only using kdesu and no more gkso

* Sat Sep 04 2010 Nasenbaer <nasenbaer_peter@users.sf.net> 1.0
- Last wish was implemented: CheckBox to disable the pre start warn message.

* Sat Feb 23 2010 Nasenbaer <nasenbaer_peter@users.sf.net> 0.9.1.1
- Release number jump: All wished features for 1.0 are implemented now!
  -> RC 1 for version 1.0

* Sat Jan 30 2010 Nasenbaer <nasenbaer_peter@users.sf.net> 0.2.2.1
- Bugfix release: Correctly show message in Warning boxes.

* Sun Jan 24 2010 Nasenbaer <nasenbaer_peter@users.sf.net> 0.2.2
- Improved version with use of own Dialog for user interaction instead of MessageBox

* Wed Dec 30 2009 Nasenbaer <nasenbaer_peter@users.sf.net> 0.2.1
- Prebuild with localisation

* Sun Dec 13 2009 Nasenbaer <nasenbaer_peter@users.sf.net> 0.1.1
- Initial spec version
